=begin
#ChannelShipper & Royal Mail Public API

#Import your orders, retrieve your orders and generate labels.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'
require 'date'

# Unit tests for RoyalMail::GetManifestResponse
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'GetManifestResponse' do
  before do
    # run before each test
    @instance = RoyalMail::GetManifestResponse.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of GetManifestResponse' do
    it 'should create an instance of GetManifestResponse' do
      expect(@instance).to be_instance_of(RoyalMail::GetManifestResponse)
    end
  end
  describe 'test attribute "manifest_status"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Petstore::EnumTest::EnumAttributeValidator.new('String', ["InProgress", "Completed", "Failed"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.manifest_status = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "document_status"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
      # validator = Petstore::EnumTest::EnumAttributeValidator.new('String', ["InProgress", "Completed"])
      # validator.allowable_values.each do |value|
      #   expect { @instance.document_status = value }.not_to raise_error
      # end
    end
  end

  describe 'test attribute "error_reference"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "orders"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  describe 'test attribute "pdf"' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
